## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaHandlerManager

### DatabaseSchema::ezcDbSchemaHandlerManager

### Class ezcDbSchemaHandlerManager

Deals with schema handlers for a ezcDbSchema object.

Determines which handlers to use for the specified storage type.

Source for this file: /DatabaseSchema/src/handler_manager.php

Version: | //autogentag//

### Member Variables

public static array(string=>string) | `$diffReadHandlers` Set of standard difference read handlers. The property is an array where the key is the name of the format and the value the classname that implements the read handler.
public static array(string=>string) | `$diffWriteHandlers` Set of standard difference write handlers. The property is an array where the key is the name of the format and the value the classname that implements the write handler.
public static array(string=>string) | `$readHandlers` Set of standard read handlers. The property is an array where the key is the name of the format and the value the classname that implements the read handler.
public static array(string=>string) | `$writeHandlers` Set of standard write handlers. The property is an array where the key is the name of the format and the value the classname that implements the write handler.

### Method Summary

public static void | `addDiffReader( $type , $readerClass )` Adds the difference read handler class $readerClass to the manager for $type
public static void | `addDiffWriter( $type , $writerClass )` Adds the difference write handler class $writerClass to the manager for $type
public static void | `addReader( $type , $readerClass )` Adds the read handler class $readerClass to the manager for $type
public static void | `addWriter( $type , $writerClass )` Adds the write handler class $writerClass to the manager for $type
public static string | `getDiffReaderByFormat( $format )` Returns the class name of the differences read handler for format $format.
public static string | `getDiffWriterByFormat( $format )` Returns the class name of the differences write handler for format $format.
public static string | `getReaderByFormat( $format )` Returns the class name of the read handler for format $format.
public static array | `getSupportedDiffFormats( )` Returns list of schema types supported by all known difference handlers.
public static array | `getSupportedFormats( )` Returns list of schema types supported by all known handlers.
public static string | `getWriterByFormat( $format )` Returns the class name of the write handler for format $format.

### Methods

#### addDiffReader

static void addDiffReader( string $type , string $readerClass )

Adds the difference read handler class $readerClass to the manager for $type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$readerClass` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidReaderClassException` | if the $readerClass doesn't exist or doesn't extend the abstract class ezcDbSchemaDiffReader.

#### addDiffWriter

static void addDiffWriter( string $type , string $writerClass )

Adds the difference write handler class $writerClass to the manager for $type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$writerClass` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidWriterClassException` | if the $writerClass doesn't exist or doesn't extend the abstract class ezcDbSchemaDiffWriter.

#### addReader

static void addReader( string $type , string $readerClass )

Adds the read handler class $readerClass to the manager for $type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$readerClass` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidReaderClassException` | if the $readerClass doesn't exist or doesn't extend the abstract class ezcDbSchemaReader.

#### addWriter

static void addWriter( string $type , string $writerClass )

Adds the write handler class $writerClass to the manager for $type

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$writerClass` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcDbSchemaInvalidWriterClassException` | if the $writerClass doesn't exist or doesn't extend the abstract class ezcDbSchemaWriter.

#### getDiffReaderByFormat

static string getDiffReaderByFormat( string $format )

Returns the class name of the differences read handler for format $format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$format` | string |

#### getDiffWriterByFormat

static string getDiffWriterByFormat( string $format )

Returns the class name of the differences write handler for format $format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$format` | string |

#### getReaderByFormat

static string getReaderByFormat( string $format )

Returns the class name of the read handler for format $format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$format` | string |

#### getSupportedDiffFormats

static array getSupportedDiffFormats( )

Returns list of schema types supported by all known difference handlers.

Goes through the list of known difference handlers and gathers information of which schema types do they support.

#### getSupportedFormats

static array getSupportedFormats( )

Returns list of schema types supported by all known handlers.

Goes through the list of known handlers and gathers information of which schema types do they support.

#### getWriterByFormat

static string getWriterByFormat( string $format )

Returns the class name of the write handler for format $format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$format` | string |

Documentation generated by phpDocumentor 1.4.3